Subject: bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 May 2016 19:18:06 +0300

> From: Glenn Morris <[email-masked]>
> Date: Mon, 02 May 2016 21:18:42 -0400
> Cc: [email-masked], Heinz Rommerskirchen <[email-masked]>
> 
> Dmitry Gutov wrote:
> 
> >> - type "A C-q C-j C-q C-j"
> [...]
> >> In former versions of Emacs (e.g. 24.5.1) this same recipe brought you
> >> to the first empty line in one of the marked files.
> >
> > I don't know if it's possible to search for "A^J^J" using find+grep,
> > and it's the implementation choice for this function.
> 
> (The fact that it uses grep should perhaps be documented, since it
> affects what one can search for.)

I added that to the doc string.  I'm much less inclined to state this
ion the manual, as this seems to be a subtle implementation detail,
and is probably subject to change.

> For this specific example, a grep-ish way to find empty lines is '^$'.
> However, using "A" to search for that (or the empty regexp) causes Emacs
> to hang indefinitely. :(

That's a bug that should be fixed, for sure.